
package lcarsbeans;

import java.beans.*;
import java.awt.*;

/**
 * BeanInfo for LcarsCheckbox.
 * <P>
 * @author Andrei Scheibner, www.buffalo-as.de, andrei@buffalo-as.de
 * @version 0.9b, January 2002 (March 2001)
 */
public class LcarsCheckboxBeanInfo extends SimpleBeanInfo
{
 /**
  * Returns an icon which represents the bean in an IDEs component palette.
  */
 public Image getIcon(int iconKind)
 {
  if (iconKind == BeanInfo.ICON_MONO_16x16 || iconKind == BeanInfo.ICON_COLOR_16x16)
  {
   Image img = loadImage("LcarsCheckboxIcon16.gif");
   return img;
  }
  if (iconKind == BeanInfo.ICON_MONO_32x32 || iconKind == BeanInfo.ICON_COLOR_32x32)
  {
   Image img = loadImage("LcarsCheckboxIcon32.gif");
   return img;
  }
  return null;
 }

 /**
  * Returns the descriptor for this bean.
  */
 public BeanDescriptor getBeanDescriptor()
 {
	return new BeanDescriptor(LcarsCheckbox.class);
 }

 /**
  * Creates a property descriptor.
  */
 static PropertyDescriptor prop(String name, String description)
 {
  try
  {
   PropertyDescriptor p = new PropertyDescriptor(name, LcarsCheckbox.class);
   p.setShortDescription(description);
   return p;
  }
  catch(IntrospectionException e) { return null; } 
 }

 /**
  * The property descriptors.
  */
 static PropertyDescriptor[] props = {
  prop("checkboxGroup", "LcarsCheckboxGroup associated with this checkbox"),
  prop("checkedColor", "color which is used when the state property is true"),
  prop("disabledColor", "color which is used when the control is not enabled"),
  prop("fontColor", "color used for drawing the label"),
  prop("horizontalAlignment", "horizontal aligment of the control"),
  prop("horizontalSpace", "horizontal space between the part with the label and the small part"),
  prop("label", "label"),
  prop("labelMarginX", "horizontal margin between the label and the bound of the control"),
  prop("labelMarginY", "vertical margin between the label and the bound of the control"),
  prop("labelPosition", "position of the label"),
  prop("roundLong", "part with the caption is drawn rounded"),
  prop("roundShort", "small part is drawn rounded"),
  prop("state", "state of the control"),
  prop("style", "style of the control"),
  prop("uncheckedColor", "color which is used when the state property is false"),
 };

 /**
  * Returns the property descriptors.
  */
 public PropertyDescriptor[] getPropertyDescriptors()
 {
  return props;
 }

}

