
package lcarsbeans;

import java.beans.*;
import java.awt.*;

/**
 * BeanInfo for LcarsCheckboxGroup.
 * <P>
 * @author Andrei Scheibner, www.buffalo-as.de, andrei@buffalo-as.de
 * @version 0.9b, January 2002 (March 2001)
 */
public class LcarsCheckboxGroupBeanInfo extends SimpleBeanInfo
{
 /**
  * Returns an icon which represents the bean in an IDEs component palette.
  */
 public Image getIcon(int iconKind)
 {
  if (iconKind == BeanInfo.ICON_MONO_16x16 || iconKind == BeanInfo.ICON_COLOR_16x16)
  {
   Image img = loadImage("LcarsCheckboxGroupIcon16.gif");
   return img;
  }
  if (iconKind == BeanInfo.ICON_MONO_32x32 || iconKind == BeanInfo.ICON_COLOR_32x32)
  {
   Image img = loadImage("LcarsCheckboxGroupIcon32.gif");
   return img;
  }
  return null;
 }

 /**
  * Returns the descriptor for this bean.
  */
 public BeanDescriptor getBeanDescriptor()
 {
	return new BeanDescriptor(LcarsCheckboxGroup.class);
 }

 /**
  * The property descriptors.
  */
 static PropertyDescriptor prop(String name, String description)
 {
  try
  {
   PropertyDescriptor p = new PropertyDescriptor(name, LcarsCheckboxGroup.class);
   p.setShortDescription(description);
   return p;
  }
  catch(IntrospectionException e) { return null; }
 }

 static PropertyDescriptor[] props = {
  prop("selectedCheckbox", "currently selected LcarsCheckbox associated with the control"),
 };

 /**
  * Returns the property descriptors.
  */
 public PropertyDescriptor[] getPropertyDescriptors()
 {
  return props;
 }
 
}

