
package lcarsbeans;

import java.beans.*;
import java.awt.*;

/**
 * BeanInfo for LcarsEdge.
 * <P>
 * @author Andrei Scheibner, www.buffalo-as.de, andrei@buffalo-as.de
 * @version 0.9b, January 2002 (March 2001)
 */
public class LcarsEdgeBeanInfo extends SimpleBeanInfo
{
 /**
  * Returns an icon which represents the bean in an IDEs component palette.
  */
 public Image getIcon(int iconKind)
 {
  if (iconKind == BeanInfo.ICON_MONO_16x16 || iconKind == BeanInfo.ICON_COLOR_16x16)
  {
   Image img = loadImage("LcarsEdgeIcon16.gif");
   return img;
  }
  if (iconKind == BeanInfo.ICON_MONO_32x32 || iconKind == BeanInfo.ICON_COLOR_32x32)
  {
   Image img = loadImage("LcarsEdgeIcon32.gif");
   return img;
  }
  return null;
 }

 /**
  * Returns the descriptor for this bean.
  */
 public BeanDescriptor getBeanDescriptor()
 {
	return new BeanDescriptor(LcarsEdge.class);
 }

 /**
  * Creates a property descriptor.
  */
 static PropertyDescriptor prop(String name, String description)
 {
  try
  {
   PropertyDescriptor p = new PropertyDescriptor(name, LcarsEdge.class);
   p.setShortDescription(description);
   return p;
  }
  catch(IntrospectionException e) { return null; }
 }

 /**
  * The property descriptors.
  */
 static PropertyDescriptor[] props = {
  prop("edgePosition", "position of the edge"),
  prop("innerFilled", "inner of the edge is drawn using the background color"),
  prop("innerRadiusX", "radius in X direction of the inner side of the edge"),
  prop("innerRadiusY", "radius in Y direction of the inner side of the edge"),
  prop("outerRadiusX", "radius in X direction of the outer side of the edge"),
  prop("outerRadiusY", "radius in Y direction of the outer side of the edge"),
  prop("thicknessX", "horizontal thickness of the edge"),
  prop("thicknessY", "vertical thickness of the edge"),
 };

 /**
  * Returns the property descriptors.
  */
 public PropertyDescriptor[] getPropertyDescriptors()
 {
  return props;
 }
 
}

