
package lcarsbeans;

import java.beans.*;
import java.awt.*;

/**
 * BeanInfo for LcarsTrackbar.
 * <P>
 * @author Andrei Scheibner, www.buffalo-as.de, andrei@buffalo-as.de
 * @version 0.9b, January 2002 (March 2001)
 */
public class LcarsTrackbarBeanInfo extends SimpleBeanInfo
{
 /**
  * Returns an icon which represents the bean in an IDEs component palette.
  */
 public Image getIcon(int iconKind)
 {
  if (iconKind == BeanInfo.ICON_MONO_16x16 || iconKind == BeanInfo.ICON_COLOR_16x16)
  {
   Image img = loadImage("LcarsTrackbarIcon16.gif");
   return img;
  }
  if (iconKind == BeanInfo.ICON_MONO_32x32 || iconKind == BeanInfo.ICON_COLOR_32x32)
  {
   Image img = loadImage("LcarsTrackbarIcon32.gif");
   return img;
  }
  return null;
 }

 /**
  * Returns the descriptor for this bean.
  */
 public BeanDescriptor getBeanDescriptor()
 {
	return new BeanDescriptor(LcarsTrackbar.class);
 }

 /**
  * Creates a property descriptor.
  */
 static PropertyDescriptor prop(String name, String description)
 {
  try
  {
   PropertyDescriptor p = new PropertyDescriptor(name, LcarsTrackbar.class);
   p.setShortDescription(description);
   return p;
  }
  catch(IntrospectionException e) { return null; }
 }

 /**
  * The property descriptors.
  */
 static PropertyDescriptor[] props = {
  prop("criticalValue", "critical value"),
  prop("maxValue", "maximal position"),
  prop("minValue", "minimal position"),
  prop("position", "current position"),
  prop("showText", "current progress shown beside the bar"),
  prop("textFrequency", "frequency of the large ticks and numbers"),
  prop("tickFrequency", "frequency of the little ticks"),
  prop("trackbarColor", "color of the the trackbar"),
  prop("trackbarDirection", "direction of the trackbar"),
 };

 /**
  * Returns the property descriptors.
  */
 public PropertyDescriptor[] getPropertyDescriptors()
 {
  return props;
 }
 
}

